The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

A account cannot be downgraded via XMLAPI?

Discussion in 'General Discussion' started by mr5, Sep 12, 2007.

  1. mr5

    mr5 Member

    Joined:
    Dec 9, 2003
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    Hi,

    According to this document: http://www.cpanel.net/plugins/xmlapi/changepackage.html
    I see this line:

    status (boolean)
    Whether or not the upgrade was successful. Yes=1, No=0. Format: status=``0|1''


    In addition, ModernGigabyte (the company who owns ModernBill) says that there is no ways to downgrade a package via XMLAPI. Is it correct?
     
  2. cPanelNick

    cPanelNick Administrator
    Staff Member

    Joined:
    Mar 9, 2015
    Messages:
    3,426
    Likes Received:
    2
    Trophy Points:
    38
    cPanel Access Level:
    DataCenter Provider
    Perhaps they don't have support for calling the changepackage api yet.
     
  3. koolcards

    koolcards Well-Known Member

    Joined:
    Oct 8, 2003
    Messages:
    146
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Tampa, Fl
    AWBS has a cPanel 11 plugin that seems to work fine:

    http://www.awbs.com/index.php
     
    #3 koolcards, Sep 13, 2007
    Last edited: Sep 13, 2007
  4. mr5

    mr5 Member

    Joined:
    Dec 9, 2003
    Messages:
    5
    Likes Received:
    0
    Trophy Points:
    1
    But they do support the upgrade function. It's weird. :(
     
Loading...

Share This Page